
TYPO3.Flow - Bug # 54632

Status: Resolved Priority: Must have
Author: Kerstin Huppenbauer Category: MVC - Routing
Created: 2013-12-29 Assigned To: Kerstin Huppenbauer
Updated: 2014-02-24 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: route caching should take hostnames into account
Description

Having 2 Sites in Neos the following Exception occurs for Nodes which have the same title in both Domains:

Exception while rendering
page<TYPO3.Neos:Page>/
body<TYPO3.TypoScript:Template>/
parts/
mainMenu:
Invalid paths: path of starting point must first part of end point path.

To avoid this the hostnames should be included in the RouterCacheIdentifier

Related issues:
related to TYPO3.Flow - Feature # 53080: Support for multiple domains Accepted 2013-10-23

Associated revisions
Revision 7dcacff9 - 2014-02-21 22:14 - Kerstin Huppenbauer

[BUGFIX] route caching should take hostnames into account

With several Sites / Domains in Neos the routing cache identifier
is not unique for nodes with the same name

This change takes the hostname into account and ensures the
cache Identifier is unique for all Sites

Change-Id: I4977bef895a5f7a95cc425dc992b741bbdc91be9
Resolves: #54632
Release: master, 2.1

Revision b47c850c - 2014-02-24 10:51 - Kerstin Huppenbauer

[BUGFIX] route caching should take hostnames into account

With several Sites / Domains in Neos the routing cache identifier
is not unique for nodes with the same name

This change takes the hostname into account and ensures the
cache Identifier is unique for all Sites
Change-Id: I4977bef895a5f7a95cc425dc992b741bbdc91be9
Resolves: #54632
Release: master, 2.1

History
#1 - 2013-12-29 18:22 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22068

#2 - 2014-01-06 20:05 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22068

#3 - 2014-02-21 22:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/22068

#4 - 2014-02-24 10:51 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/27807

#5 - 2014-02-24 11:35 - Kerstin Huppenbauer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7dcacff9d1f8a174d6ba67d023ae3887eada4753.
